deductionguidesforstd::optional(3)

NAME
deductionguidesforstd::optional - deductionguidesforstd::optional

Synopsis
   Defined in header <optional>
   template<class T> (since C++17)
   optional(T) -> optional<T>;
   One deduction guide is provided for std::optional to account for the edge cases
   missed by the implicit deduction guides, in particular, non-copyable arguments and
   array to pointer conversion

Example
// Run this code
 #include <optional>
 int main()
 {
     int a[2];
     std::optional oa{a}; // explicit deduction guide is used in this case
 }